<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>Reports</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin [nzSpinning]="isLoading">
  <nz-card nzSize="small">
    <nz-tabset nzTabPosition="left">
      <nz-tab *ngFor="let item of tabs" [nzTitle]="tabTitle">
        <ng-template #tabTitle>
          <div style="width: 250px">
            {{ item.item3 }}

            <nz-tag nzColor="success" style="float: right">
              <i class="far fa-check-circle"></i>
              {{ item.item5 }}
            </nz-tag>
            <nz-tag nzColor="default" style="float: right">
              <i class="far fa-clock"></i>
              {{ item.item4 }}
            </nz-tag>
          </div>
        </ng-template>

        <ng-template nz-tab>

          <nz-tabset nzTabPosition="top">
            <nz-tab nzTitle="Pending">
              <app-mp-reports-list-table reportType="pending" [type]="item"></app-mp-reports-list-table>
            </nz-tab>
            <nz-tab nzTitle="Resolved">
              <app-mp-reports-list-table reportType="history" [type]="item"></app-mp-reports-list-table>
            </nz-tab>
          </nz-tabset>

        </ng-template>
      </nz-tab>
    </nz-tabset>
  </nz-card>
</nz-spin>